
_Battery_Voltage:

;Battery_Voltage.mbas,31 :: 		sub procedure Battery_Voltage
;Battery_Voltage.mbas,35 :: 		atod = ADC_Read(0)        ' Get 8-bit results of AD conversion
	CLRF       FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      Battery_Voltage_atod+0
	MOVF       R0+1, 0
	MOVWF      Battery_Voltage_atod+1
;Battery_Voltage.mbas,36 :: 		Temp = atod  + 482        ' This number represents 9.4 volts at .0195 Volts per count
	MOVLW      226
	MOVWF      R8+0
	MOVLW      1
	MOVWF      R8+1
	CLRF       R8+2
	CLRF       R8+3
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       R8+0, 0
	ADDWF      R4+0, 1
	MOVF       R8+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+1, 0
	ADDWF      R4+1, 1
	MOVF       R8+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+2, 0
	ADDWF      R4+2, 1
	MOVF       R8+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+3, 0
	ADDWF      R4+3, 1
	MOVF       R4+0, 0
	MOVWF      R0+0
	MOVF       R4+1, 0
	MOVWF      R0+1
	MOVF       R4+2, 0
	MOVWF      R0+2
	MOVF       R4+3, 0
	MOVWF      R0+3
	CALL       _Longword2Double+0
	MOVF       R0+0, 0
	MOVWF      Battery_Voltage_temp+0
	MOVF       R0+1, 0
	MOVWF      Battery_Voltage_temp+1
	MOVF       R0+2, 0
	MOVWF      Battery_Voltage_temp+2
	MOVF       R0+3, 0
	MOVWF      Battery_Voltage_temp+3
;Battery_Voltage.mbas,40 :: 		Temp = Temp * 0.0195      ' Convert the count to voltage  0.0195 per count
	MOVLW      119
	MOVWF      R4+0
	MOVLW      190
	MOVWF      R4+1
	MOVLW      31
	MOVWF      R4+2
	MOVLW      121
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      Battery_Voltage_temp+0
	MOVF       R0+1, 0
	MOVWF      Battery_Voltage_temp+1
	MOVF       R0+2, 0
	MOVWF      Battery_Voltage_temp+2
	MOVF       R0+3, 0
	MOVWF      Battery_Voltage_temp+3
;Battery_Voltage.mbas,41 :: 		FloatToStr(Temp, Txt)     ' We need a Text String to display on the LCD
	MOVF       R0+0, 0
	MOVWF      FARG_FloatToStr_input+0
	MOVF       R0+1, 0
	MOVWF      FARG_FloatToStr_input+1
	MOVF       R0+2, 0
	MOVWF      FARG_FloatToStr_input+2
	MOVF       R0+3, 0
	MOVWF      FARG_FloatToStr_input+3
	MOVLW      Battery_Voltage_txt+0
	MOVWF      FARG_FloatToStr_output+0
	CALL       _FloatToStr+0
;Battery_Voltage.mbas,42 :: 		if Bat_Sample_counter <> 0
	MOVLW      0
	XORWF      _Bat_Sample_counter+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Battery_Voltage7
	MOVLW      0
	XORWF      _Bat_Sample_counter+0, 0
L__Battery_Voltage7:
	BTFSC      STATUS+0, 2
	GOTO       L__Battery_Voltage2
;Battery_Voltage.mbas,44 :: 		Bat_Sample_counter = Bat_Sample_counter -1
	MOVLW      1
	SUBWF      _Bat_Sample_counter+0, 1
	BTFSS      STATUS+0, 0
	DECF       _Bat_Sample_counter+1, 1
;Battery_Voltage.mbas,45 :: 		Delay_ms (30)          'Spend the time it would have taken to display results
	MOVLW      156
	MOVWF      R12+0
	MOVLW      215
	MOVWF      R13+0
L__Battery_Voltage4:
	DECFSZ     R13+0, 1
	GOTO       L__Battery_Voltage4
	DECFSZ     R12+0, 1
	GOTO       L__Battery_Voltage4
;Battery_Voltage.mbas,46 :: 		goto BV_1
	GOTO       L__Battery_Voltage_bv_1
L__Battery_Voltage2:
;Battery_Voltage.mbas,48 :: 		Bat_Sample_counter = Bat_Sample_period
	MOVLW      20
	MOVWF      _Bat_Sample_counter+0
	CLRF       _Bat_Sample_counter+1
;Battery_Voltage.mbas,49 :: 		LCD_Out (2,2, "  ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Battery_Voltage+0
	MOVLW      32
	MOVWF      ?LocalText_Battery_Voltage+1
	CLRF       ?LocalText_Battery_Voltage+2
	MOVLW      ?LocalText_Battery_Voltage+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery_Voltage.mbas,50 :: 		Lcd_Out(2,4,txt)          ' Write results centered in second row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      Battery_Voltage_txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery_Voltage.mbas,51 :: 		Lcd_Out (2,9," Volts DC ")' Tag on Text covers up the many fractional digits
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Battery_Voltage+0
	MOVLW      86
	MOVWF      ?LocalText_Battery_Voltage+1
	MOVLW      111
	MOVWF      ?LocalText_Battery_Voltage+2
	MOVLW      108
	MOVWF      ?LocalText_Battery_Voltage+3
	MOVLW      116
	MOVWF      ?LocalText_Battery_Voltage+4
	MOVLW      115
	MOVWF      ?LocalText_Battery_Voltage+5
	MOVLW      32
	MOVWF      ?LocalText_Battery_Voltage+6
	MOVLW      68
	MOVWF      ?LocalText_Battery_Voltage+7
	MOVLW      67
	MOVWF      ?LocalText_Battery_Voltage+8
	MOVLW      32
	MOVWF      ?LocalText_Battery_Voltage+9
	CLRF       ?LocalText_Battery_Voltage+10
	MOVLW      ?LocalText_Battery_Voltage+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery_Voltage.mbas,52 :: 		BV_1:
L__Battery_Voltage_bv_1:
;Battery_Voltage.mbas,53 :: 		End Sub
L_end_Battery_Voltage:
	RETURN
; end of _Battery_Voltage
