
_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;RV Monitor System.mbas,108 :: 		sub procedure Interrupt()
;RV Monitor System.mbas,111 :: 		(TMR0IF_bit)                       'Be sure it's Timer Zero
	BTFSS      TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
	GOTO       L__Interrupt2
;RV Monitor System.mbas,113 :: 		TMR0IF_bit         = 0          'Clear the fact that it happened for the next one
	BCF        TMR0IF_bit+0, BitPos(TMR0IF_bit+0)
;RV Monitor System.mbas,114 :: 		TMR0 = 5                        'Reset the counts for 4 MS
	MOVLW      5
	MOVWF      TMR0+0
;RV Monitor System.mbas,115 :: 		Period_Reached = Period_Reached + 1    'This is our scailer for long time periods
	INCF       _Period_Reached+0, 1
	BTFSC      STATUS+0, 2
	INCF       _Period_Reached+1, 1
;RV Monitor System.mbas,116 :: 		if Period_Reached > Period      'Don't let it go over the Period Requested
	MOVF       _Period_Reached+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt139
	MOVF       _Period_Reached+0, 0
	SUBLW      155
L__Interrupt139:
	BTFSC      STATUS+0, 0
	GOTO       L__Interrupt5
;RV Monitor System.mbas,118 :: 		Period_Reached = Period
	MOVLW      155
	MOVWF      _Period_Reached+0
	MOVLW      0
	MOVWF      _Period_Reached+1
L__Interrupt5:
;RV Monitor System.mbas,119 :: 		End if
L__Interrupt2:
;RV Monitor System.mbas,122 :: 		end sub
L_end_Interrupt:
L__Interrupt138:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_Print_Outside_Temp:

;RV Monitor System.mbas,124 :: 		sub procedure  Print_Outside_Temp
;RV Monitor System.mbas,125 :: 		LCD_OUT (2,2," TMP= ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Outside_Temp+0
	MOVLW      84
	MOVWF      ?LocalText_Print_Outside_Temp+1
	MOVLW      77
	MOVWF      ?LocalText_Print_Outside_Temp+2
	MOVLW      80
	MOVWF      ?LocalText_Print_Outside_Temp+3
	MOVLW      61
	MOVWF      ?LocalText_Print_Outside_Temp+4
	MOVLW      32
	MOVWF      ?LocalText_Print_Outside_Temp+5
	CLRF       ?LocalText_Print_Outside_Temp+6
	MOVLW      ?LocalText_Print_Outside_Temp+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,126 :: 		Lcd_Out (2,7,Temp_Deg_F_O)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,127 :: 		Lcd_Chr(2, 10, 223)
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,128 :: 		Lcd_Out (2,11," RH= ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Outside_Temp+0
	MOVLW      82
	MOVWF      ?LocalText_Print_Outside_Temp+1
	MOVLW      72
	MOVWF      ?LocalText_Print_Outside_Temp+2
	MOVLW      61
	MOVWF      ?LocalText_Print_Outside_Temp+3
	MOVLW      32
	MOVWF      ?LocalText_Print_Outside_Temp+4
	CLRF       ?LocalText_Print_Outside_Temp+5
	MOVLW      ?LocalText_Print_Outside_Temp+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,129 :: 		LCD_OUT (2,15,RH_Percent_O)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _RH_Percent_O+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,130 :: 		Lcd_Out (2,18,"% " )
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      18
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      37
	MOVWF      ?LocalText_Print_Outside_Temp+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Outside_Temp+1
	CLRF       ?LocalText_Print_Outside_Temp+2
	MOVLW      ?LocalText_Print_Outside_Temp+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,131 :: 		end sub
L_end_Print_Outside_Temp:
	RETURN
; end of _Print_Outside_Temp

_Print_Inside_temp:

;RV Monitor System.mbas,133 :: 		sub procedure  Print_Inside_temp
;RV Monitor System.mbas,134 :: 		LCD_OUT (2,2," TMP= ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Inside_temp+0
	MOVLW      84
	MOVWF      ?LocalText_Print_Inside_temp+1
	MOVLW      77
	MOVWF      ?LocalText_Print_Inside_temp+2
	MOVLW      80
	MOVWF      ?LocalText_Print_Inside_temp+3
	MOVLW      61
	MOVWF      ?LocalText_Print_Inside_temp+4
	MOVLW      32
	MOVWF      ?LocalText_Print_Inside_temp+5
	CLRF       ?LocalText_Print_Inside_temp+6
	MOVLW      ?LocalText_Print_Inside_temp+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,135 :: 		Lcd_Out (2,7,Temp_Deg_F_I)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,136 :: 		Lcd_Chr(2,10, 223)
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,137 :: 		Lcd_Out (2,11," RH= ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Inside_temp+0
	MOVLW      82
	MOVWF      ?LocalText_Print_Inside_temp+1
	MOVLW      72
	MOVWF      ?LocalText_Print_Inside_temp+2
	MOVLW      61
	MOVWF      ?LocalText_Print_Inside_temp+3
	MOVLW      32
	MOVWF      ?LocalText_Print_Inside_temp+4
	CLRF       ?LocalText_Print_Inside_temp+5
	MOVLW      ?LocalText_Print_Inside_temp+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,138 :: 		LCD_OUT (2,15,RH_Percent_I)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _RH_Percent_I+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,139 :: 		Lcd_Out (2,18,"% " )
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      18
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      37
	MOVWF      ?LocalText_Print_Inside_temp+0
	MOVLW      32
	MOVWF      ?LocalText_Print_Inside_temp+1
	CLRF       ?LocalText_Print_Inside_temp+2
	MOVLW      ?LocalText_Print_Inside_temp+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,140 :: 		end sub
L_end_Print_Inside_temp:
	RETURN
; end of _Print_Inside_temp

_Bat_Line1_Txt:

;RV Monitor System.mbas,142 :: 		sub procedure  Bat_Line1_Txt
;RV Monitor System.mbas,143 :: 		LCD_OUT (1,1,"  Battery Voltage   ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line1_Txt+0
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line1_Txt+1
	MOVLW      66
	MOVWF      ?LocalText_Bat_Line1_Txt+2
	MOVLW      97
	MOVWF      ?LocalText_Bat_Line1_Txt+3
	MOVLW      116
	MOVWF      ?LocalText_Bat_Line1_Txt+4
	MOVLW      116
	MOVWF      ?LocalText_Bat_Line1_Txt+5
	MOVLW      101
	MOVWF      ?LocalText_Bat_Line1_Txt+6
	MOVLW      114
	MOVWF      ?LocalText_Bat_Line1_Txt+7
	MOVLW      121
	MOVWF      ?LocalText_Bat_Line1_Txt+8
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line1_Txt+9
	MOVLW      86
	MOVWF      ?LocalText_Bat_Line1_Txt+10
	MOVLW      111
	MOVWF      ?LocalText_Bat_Line1_Txt+11
	MOVLW      108
	MOVWF      ?LocalText_Bat_Line1_Txt+12
	MOVLW      116
	MOVWF      ?LocalText_Bat_Line1_Txt+13
	MOVLW      97
	MOVWF      ?LocalText_Bat_Line1_Txt+14
	MOVLW      103
	MOVWF      ?LocalText_Bat_Line1_Txt+15
	MOVLW      101
	MOVWF      ?LocalText_Bat_Line1_Txt+16
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line1_Txt+17
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line1_Txt+18
	MOVLW      32
	MOVWF      ?LocalText_Bat_Line1_Txt+19
	CLRF       ?LocalText_Bat_Line1_Txt+20
	MOVLW      ?LocalText_Bat_Line1_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,144 :: 		end sub
L_end_Bat_Line1_Txt:
	RETURN
; end of _Bat_Line1_Txt

_Water_Line1_txt:

;RV Monitor System.mbas,146 :: 		sub procedure  Water_Line1_txt
;RV Monitor System.mbas,147 :: 		LCD_OUT (1,1," Fresh Water Level  ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Water_Line1_txt+0
	MOVLW      70
	MOVWF      ?LocalText_Water_Line1_txt+1
	MOVLW      114
	MOVWF      ?LocalText_Water_Line1_txt+2
	MOVLW      101
	MOVWF      ?LocalText_Water_Line1_txt+3
	MOVLW      115
	MOVWF      ?LocalText_Water_Line1_txt+4
	MOVLW      104
	MOVWF      ?LocalText_Water_Line1_txt+5
	MOVLW      32
	MOVWF      ?LocalText_Water_Line1_txt+6
	MOVLW      87
	MOVWF      ?LocalText_Water_Line1_txt+7
	MOVLW      97
	MOVWF      ?LocalText_Water_Line1_txt+8
	MOVLW      116
	MOVWF      ?LocalText_Water_Line1_txt+9
	MOVLW      101
	MOVWF      ?LocalText_Water_Line1_txt+10
	MOVLW      114
	MOVWF      ?LocalText_Water_Line1_txt+11
	MOVLW      32
	MOVWF      ?LocalText_Water_Line1_txt+12
	MOVLW      76
	MOVWF      ?LocalText_Water_Line1_txt+13
	MOVLW      101
	MOVWF      ?LocalText_Water_Line1_txt+14
	MOVLW      118
	MOVWF      ?LocalText_Water_Line1_txt+15
	MOVLW      101
	MOVWF      ?LocalText_Water_Line1_txt+16
	MOVLW      108
	MOVWF      ?LocalText_Water_Line1_txt+17
	MOVLW      32
	MOVWF      ?LocalText_Water_Line1_txt+18
	MOVLW      32
	MOVWF      ?LocalText_Water_Line1_txt+19
	CLRF       ?LocalText_Water_Line1_txt+20
	MOVLW      ?LocalText_Water_Line1_txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,148 :: 		End Sub
L_end_Water_Line1_txt:
	RETURN
; end of _Water_Line1_txt

_OT_Line1_Txt:

;RV Monitor System.mbas,150 :: 		sub procedure  OT_Line1_Txt
;RV Monitor System.mbas,151 :: 		LCD_OUT (1,1,"Outside  Temperature")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      79
	MOVWF      ?LocalText_OT_Line1_Txt+0
	MOVLW      117
	MOVWF      ?LocalText_OT_Line1_Txt+1
	MOVLW      116
	MOVWF      ?LocalText_OT_Line1_Txt+2
	MOVLW      115
	MOVWF      ?LocalText_OT_Line1_Txt+3
	MOVLW      105
	MOVWF      ?LocalText_OT_Line1_Txt+4
	MOVLW      100
	MOVWF      ?LocalText_OT_Line1_Txt+5
	MOVLW      101
	MOVWF      ?LocalText_OT_Line1_Txt+6
	MOVLW      32
	MOVWF      ?LocalText_OT_Line1_Txt+7
	MOVLW      32
	MOVWF      ?LocalText_OT_Line1_Txt+8
	MOVLW      84
	MOVWF      ?LocalText_OT_Line1_Txt+9
	MOVLW      101
	MOVWF      ?LocalText_OT_Line1_Txt+10
	MOVLW      109
	MOVWF      ?LocalText_OT_Line1_Txt+11
	MOVLW      112
	MOVWF      ?LocalText_OT_Line1_Txt+12
	MOVLW      101
	MOVWF      ?LocalText_OT_Line1_Txt+13
	MOVLW      114
	MOVWF      ?LocalText_OT_Line1_Txt+14
	MOVLW      97
	MOVWF      ?LocalText_OT_Line1_Txt+15
	MOVLW      116
	MOVWF      ?LocalText_OT_Line1_Txt+16
	MOVLW      117
	MOVWF      ?LocalText_OT_Line1_Txt+17
	MOVLW      114
	MOVWF      ?LocalText_OT_Line1_Txt+18
	MOVLW      101
	MOVWF      ?LocalText_OT_Line1_Txt+19
	CLRF       ?LocalText_OT_Line1_Txt+20
	MOVLW      ?LocalText_OT_Line1_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,152 :: 		End Sub
L_end_OT_Line1_Txt:
	RETURN
; end of _OT_Line1_Txt

_IN_Line1_Txt:

;RV Monitor System.mbas,154 :: 		sub procedure  IN_Line1_Txt
;RV Monitor System.mbas,155 :: 		LCD_OUT (1,1,"Inside   Temperature")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      73
	MOVWF      ?LocalText_IN_Line1_Txt+0
	MOVLW      110
	MOVWF      ?LocalText_IN_Line1_Txt+1
	MOVLW      115
	MOVWF      ?LocalText_IN_Line1_Txt+2
	MOVLW      105
	MOVWF      ?LocalText_IN_Line1_Txt+3
	MOVLW      100
	MOVWF      ?LocalText_IN_Line1_Txt+4
	MOVLW      101
	MOVWF      ?LocalText_IN_Line1_Txt+5
	MOVLW      32
	MOVWF      ?LocalText_IN_Line1_Txt+6
	MOVLW      32
	MOVWF      ?LocalText_IN_Line1_Txt+7
	MOVLW      32
	MOVWF      ?LocalText_IN_Line1_Txt+8
	MOVLW      84
	MOVWF      ?LocalText_IN_Line1_Txt+9
	MOVLW      101
	MOVWF      ?LocalText_IN_Line1_Txt+10
	MOVLW      109
	MOVWF      ?LocalText_IN_Line1_Txt+11
	MOVLW      112
	MOVWF      ?LocalText_IN_Line1_Txt+12
	MOVLW      101
	MOVWF      ?LocalText_IN_Line1_Txt+13
	MOVLW      114
	MOVWF      ?LocalText_IN_Line1_Txt+14
	MOVLW      97
	MOVWF      ?LocalText_IN_Line1_Txt+15
	MOVLW      116
	MOVWF      ?LocalText_IN_Line1_Txt+16
	MOVLW      117
	MOVWF      ?LocalText_IN_Line1_Txt+17
	MOVLW      114
	MOVWF      ?LocalText_IN_Line1_Txt+18
	MOVLW      101
	MOVWF      ?LocalText_IN_Line1_Txt+19
	CLRF       ?LocalText_IN_Line1_Txt+20
	MOVLW      ?LocalText_IN_Line1_Txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,156 :: 		End Sub
L_end_IN_Line1_Txt:
	RETURN
; end of _IN_Line1_Txt

_Clr_Cyc_Ind:

;RV Monitor System.mbas,157 :: 		sub Procedure  Clr_Cyc_Ind
;RV Monitor System.mbas,158 :: 		LCD_CHR (2,1," ")             'Clear the Cycling Mode indicator
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,159 :: 		LCD_CHR (2,20," ")
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,160 :: 		End Sub
L_end_Clr_Cyc_Ind:
	RETURN
; end of _Clr_Cyc_Ind

_Set_Cyc_Ind:

;RV Monitor System.mbas,161 :: 		sub Procedure  Set_Cyc_Ind
;RV Monitor System.mbas,162 :: 		LCD_CHR (2,1,0x05)             'These two Chars flag Cycling Mode
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      5
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,163 :: 		LCD_CHR (2,20,0x04)
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      4
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,164 :: 		End Sub
L_end_Set_Cyc_Ind:
	RETURN
; end of _Set_Cyc_Ind

_main:

;RV Monitor System.mbas,165 :: 		main:
;RV Monitor System.mbas,167 :: 		ADCON0 = 0x40             'A/D on Clock /8
	MOVLW      64
	MOVWF      ADCON0+0
;RV Monitor System.mbas,168 :: 		ADCON1 = 0x04             'Set PORTA as  RA0 & RA1 Analog RA2-RA5 Digital VCC is Refferance
	MOVLW      4
	MOVWF      ADCON1+0
;RV Monitor System.mbas,169 :: 		TRISA = 0X05              'Set PORTA I/O bits 0 and 2 as Input the rest as outputs
	MOVLW      5
	MOVWF      TRISA+0
;RV Monitor System.mbas,170 :: 		TRISB = 0x80              'Set PORTB as output except RB7 is input
	MOVLW      128
	MOVWF      TRISB+0
;RV Monitor System.mbas,171 :: 		Trisc = 0X00              'set to 3F when not testing Set PORTC as Output on high two bits the rest are inputs     ****
	CLRF       TRISC+0
;RV Monitor System.mbas,172 :: 		portc = 0                 '*****  These are for counting errors from the Temp Sensors
	CLRF       PORTC+0
;RV Monitor System.mbas,173 :: 		Disp_One_Mode = 6         'Start in the OFF state
	MOVLW      6
	MOVWF      _Disp_One_Mode+0
;RV Monitor System.mbas,174 :: 		Disp_Two_Mode = 6         'Start in the OFF state
	MOVLW      6
	MOVWF      _Disp_Two_Mode+0
;RV Monitor System.mbas,175 :: 		Disp_One_Cycle_Timer = 0
	CLRF       _Disp_One_Cycle_Timer+0
	CLRF       _Disp_One_Cycle_Timer+1
;RV Monitor System.mbas,176 :: 		Disp_Two_Cycle_Timer = 0
	CLRF       _Disp_Two_Cycle_Timer+0
	CLRF       _Disp_Two_Cycle_Timer+1
;RV Monitor System.mbas,177 :: 		Disp_One_Cycle_Mode = 4   'Initialize Cycle Mode to Battery Voltage Next
	MOVLW      4
	MOVWF      _Disp_One_Cycle_Mode+0
;RV Monitor System.mbas,178 :: 		Disp_Two_Cycle_Mode = 4   'First time through
	MOVLW      4
	MOVWF      _Disp_Two_Cycle_Mode+0
;RV Monitor System.mbas,179 :: 		Bat_Sample_counter = 0    'Bat_Sample_period for the first time through
	CLRF       _Bat_Sample_counter+0
	CLRF       _Bat_Sample_counter+1
;RV Monitor System.mbas,180 :: 		Period_Reached = 0        'Initialize Timer Zero
	CLRF       _Period_Reached+0
	CLRF       _Period_Reached+1
;RV Monitor System.mbas,181 :: 		InitTimer0          'Start The DHT11 Timer
	CALL       _InitTimer0+0
;RV Monitor System.mbas,182 :: 		PortA = 0x30        'Get the DHT11 Data Lines high
	MOVLW      48
	MOVWF      PORTA+0
;RV Monitor System.mbas,185 :: 		LCD_Sel = 0               'Select Display #1
	BCF        PORTB+0, 6
;RV Monitor System.mbas,186 :: 		Lcd_Init()                'Initialize Display
	CALL       _Lcd_Init+0
;RV Monitor System.mbas,187 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,188 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)  'Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,189 :: 		SetBit(PORTC, 6)          'Turn On Disply Backlight
	BSF        PORTC+0, 6
;RV Monitor System.mbas,195 :: 		Lcd_Cmd (0x40)            'Write to CGRAM Address 0
	MOVLW      64
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,201 :: 		for j = 1 to 2
	MOVLW      1
	MOVWF      _j+0
L__main17:
;RV Monitor System.mbas,202 :: 		for i = 0 to 55
	CLRF       _i+0
L__main22:
;RV Monitor System.mbas,203 :: 		Lcd_Chr_CP(character[i])
	MOVF       _i+0, 0
	ADDLW      _character+0
	MOVWF      R0+0
	MOVLW      hi_addr(_character+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,204 :: 		next i
	MOVF       _i+0, 0
	XORLW      55
	BTFSC      STATUS+0, 2
	GOTO       L__main25
	INCF       _i+0, 1
	GOTO       L__main22
L__main25:
;RV Monitor System.mbas,208 :: 		LCD_Sel = 1               'Select Display #2
	BSF        PORTB+0, 6
;RV Monitor System.mbas,209 :: 		Lcd_Init()                'Initialize Display
	CALL       _Lcd_Init+0
;RV Monitor System.mbas,210 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,211 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)  'Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,212 :: 		Lcd_Cmd (0x40)            'Write to CGRAM Address 0
	MOVLW      64
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,215 :: 		next j
	MOVF       _j+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L__main20
	INCF       _j+0, 1
	GOTO       L__main17
L__main20:
;RV Monitor System.mbas,218 :: 		Lcd_out (1,1,"RV Monitor (c) 2013")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      86
	MOVWF      ?LocalText_main+1
	MOVLW      32
	MOVWF      ?LocalText_main+2
	MOVLW      77
	MOVWF      ?LocalText_main+3
	MOVLW      111
	MOVWF      ?LocalText_main+4
	MOVLW      110
	MOVWF      ?LocalText_main+5
	MOVLW      105
	MOVWF      ?LocalText_main+6
	MOVLW      116
	MOVWF      ?LocalText_main+7
	MOVLW      111
	MOVWF      ?LocalText_main+8
	MOVLW      114
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      40
	MOVWF      ?LocalText_main+11
	MOVLW      99
	MOVWF      ?LocalText_main+12
	MOVLW      41
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	MOVLW      50
	MOVWF      ?LocalText_main+15
	MOVLW      48
	MOVWF      ?LocalText_main+16
	MOVLW      49
	MOVWF      ?LocalText_main+17
	MOVLW      51
	MOVWF      ?LocalText_main+18
	CLRF       ?LocalText_main+19
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,219 :: 		Lcd_Out (2,1,"Happy Camping Rev 2")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      72
	MOVWF      ?LocalText_main+0
	MOVLW      97
	MOVWF      ?LocalText_main+1
	MOVLW      112
	MOVWF      ?LocalText_main+2
	MOVLW      112
	MOVWF      ?LocalText_main+3
	MOVLW      121
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      67
	MOVWF      ?LocalText_main+6
	MOVLW      97
	MOVWF      ?LocalText_main+7
	MOVLW      109
	MOVWF      ?LocalText_main+8
	MOVLW      112
	MOVWF      ?LocalText_main+9
	MOVLW      105
	MOVWF      ?LocalText_main+10
	MOVLW      110
	MOVWF      ?LocalText_main+11
	MOVLW      103
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      82
	MOVWF      ?LocalText_main+14
	MOVLW      101
	MOVWF      ?LocalText_main+15
	MOVLW      118
	MOVWF      ?LocalText_main+16
	MOVLW      32
	MOVWF      ?LocalText_main+17
	MOVLW      50
	MOVWF      ?LocalText_main+18
	CLRF       ?LocalText_main+19
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,220 :: 		Lcd_Chr (1,13,6)          'Raisec "C" for the Copyright symbol
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      6
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,222 :: 		LCD_Sel = 0               'Select Display #1
	BCF        PORTB+0, 6
;RV Monitor System.mbas,223 :: 		SetBit(PORTC, 7)          'Turn On Disply Backlight
	BSF        PORTC+0, 7
;RV Monitor System.mbas,225 :: 		Lcd_out (1,1,"RV Monitor (c) 2013")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      82
	MOVWF      ?LocalText_main+0
	MOVLW      86
	MOVWF      ?LocalText_main+1
	MOVLW      32
	MOVWF      ?LocalText_main+2
	MOVLW      77
	MOVWF      ?LocalText_main+3
	MOVLW      111
	MOVWF      ?LocalText_main+4
	MOVLW      110
	MOVWF      ?LocalText_main+5
	MOVLW      105
	MOVWF      ?LocalText_main+6
	MOVLW      116
	MOVWF      ?LocalText_main+7
	MOVLW      111
	MOVWF      ?LocalText_main+8
	MOVLW      114
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	MOVLW      40
	MOVWF      ?LocalText_main+11
	MOVLW      99
	MOVWF      ?LocalText_main+12
	MOVLW      41
	MOVWF      ?LocalText_main+13
	MOVLW      32
	MOVWF      ?LocalText_main+14
	MOVLW      50
	MOVWF      ?LocalText_main+15
	MOVLW      48
	MOVWF      ?LocalText_main+16
	MOVLW      49
	MOVWF      ?LocalText_main+17
	MOVLW      51
	MOVWF      ?LocalText_main+18
	CLRF       ?LocalText_main+19
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,226 :: 		Lcd_Out (2,1,"Happy Camping Rev 2")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      72
	MOVWF      ?LocalText_main+0
	MOVLW      97
	MOVWF      ?LocalText_main+1
	MOVLW      112
	MOVWF      ?LocalText_main+2
	MOVLW      112
	MOVWF      ?LocalText_main+3
	MOVLW      121
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      67
	MOVWF      ?LocalText_main+6
	MOVLW      97
	MOVWF      ?LocalText_main+7
	MOVLW      109
	MOVWF      ?LocalText_main+8
	MOVLW      112
	MOVWF      ?LocalText_main+9
	MOVLW      105
	MOVWF      ?LocalText_main+10
	MOVLW      110
	MOVWF      ?LocalText_main+11
	MOVLW      103
	MOVWF      ?LocalText_main+12
	MOVLW      32
	MOVWF      ?LocalText_main+13
	MOVLW      82
	MOVWF      ?LocalText_main+14
	MOVLW      101
	MOVWF      ?LocalText_main+15
	MOVLW      118
	MOVWF      ?LocalText_main+16
	MOVLW      32
	MOVWF      ?LocalText_main+17
	MOVLW      50
	MOVWF      ?LocalText_main+18
	CLRF       ?LocalText_main+19
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,227 :: 		Lcd_Chr (1,13,6)         'Raisec "C" for the Copyright symbol
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      6
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,229 :: 		Delay_ms (10000)          'Give them time to read it
	MOVLW      203
	MOVWF      R11+0
	MOVLW      236
	MOVWF      R12+0
	MOVLW      132
	MOVWF      R13+0
L__main26:
	DECFSZ     R13+0, 1
	GOTO       L__main26
	DECFSZ     R12+0, 1
	GOTO       L__main26
	DECFSZ     R11+0, 1
	GOTO       L__main26
	NOP
;RV Monitor System.mbas,231 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,233 :: 		Lcd_sel = 1
	BSF        PORTB+0, 6
;RV Monitor System.mbas,234 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,235 :: 		Portc = 0x00              'Turn off back lights                  *****
	CLRF       PORTC+0
;RV Monitor System.mbas,236 :: 		Loop:
L__main_loop:
;RV Monitor System.mbas,237 :: 		if Period_Reached = Period      'Has it been over one second
	MOVF       _Period_Reached+1, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main149
	MOVLW      155
	XORWF      _Period_Reached+0, 0
L__main149:
	BTFSS      STATUS+0, 2
	GOTO       L__main29
;RV Monitor System.mbas,239 :: 		Read_Temp (PortA,4,TrisA)
	MOVLW      PORTA+0
	MOVWF      FARG_Read_Temp_port+0
	MOVLW      4
	MOVWF      FARG_Read_Temp_pin+0
	MOVLW      TRISA+0
	MOVWF      FARG_Read_Temp_Tris+0
	CALL       _Read_Temp+0
;RV Monitor System.mbas,240 :: 		Read_Temp (PortA,5,TrisA)
	MOVLW      PORTA+0
	MOVWF      FARG_Read_Temp_port+0
	MOVLW      5
	MOVWF      FARG_Read_Temp_pin+0
	MOVLW      TRISA+0
	MOVWF      FARG_Read_Temp_Tris+0
	CALL       _Read_Temp+0
;RV Monitor System.mbas,241 :: 		Period_Reached = 0
	CLRF       _Period_Reached+0
	CLRF       _Period_Reached+1
L__main29:
;RV Monitor System.mbas,243 :: 		LCD_Sel = 0               'Select Display #1
	BCF        PORTB+0, 6
;RV Monitor System.mbas,247 :: 		Button(PORTA, 2, 1, 0)  'Test for Button Down
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main32
;RV Monitor System.mbas,249 :: 		Disp_One_Mode = Disp_One_Mode + 1
	INCF       _Disp_One_Mode+0, 1
L__main32:
;RV Monitor System.mbas,253 :: 		Disp_One_Mode = 7
	MOVF       _Disp_One_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main35
;RV Monitor System.mbas,255 :: 		Disp_One_Mode = 1
	MOVLW      1
	MOVWF      _Disp_One_Mode+0
;RV Monitor System.mbas,256 :: 		Bat_Sample_counter = 0 'This stops the delay in displaying the Voltage the first time through
	CLRF       _Bat_Sample_counter+0
	CLRF       _Bat_Sample_counter+1
;RV Monitor System.mbas,257 :: 		LCD_CMD (0X0C)         'Turn On Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,258 :: 		SetBit(PORTC, 6)       'Turn On Disply One Backlight
	BSF        PORTC+0, 6
L__main35:
;RV Monitor System.mbas,261 :: 		Button_One_wait:
L__main_button_one_wait:
;RV Monitor System.mbas,263 :: 		Button (PORTA,2,5,0)  'Test for Button UP if no button pressed keep going to update Displays
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main39
;RV Monitor System.mbas,265 :: 		GOTO Button_One_Wait
	GOTO       L__main_button_one_wait
L__main39:
;RV Monitor System.mbas,269 :: 		LCD_Sel = 1             'Now display 2
	BSF        PORTB+0, 6
;RV Monitor System.mbas,272 :: 		Button(PORTB, 7, 1, 0)   'Test for Button Down
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main42
;RV Monitor System.mbas,274 :: 		Disp_Two_Mode = Disp_Two_Mode + 1
	INCF       _Disp_Two_Mode+0, 1
L__main42:
;RV Monitor System.mbas,278 :: 		Button_Two_Wait:
L__main_button_two_wait:
;RV Monitor System.mbas,280 :: 		Button (PORTB,7,5,0)         'Test for Button UP if no button pressed keep going to update Displays
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main46
;RV Monitor System.mbas,282 :: 		GOTO Button_Two_Wait
	GOTO       L__main_button_two_wait
L__main46:
;RV Monitor System.mbas,285 :: 		Disp_Two_Mode = 7
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main49
;RV Monitor System.mbas,287 :: 		Disp_Two_Mode = 1
	MOVLW      1
	MOVWF      _Disp_Two_Mode+0
;RV Monitor System.mbas,288 :: 		Bat_Sample_counter = 0  'This stops the delay in displaying the Voltage the first time through
	CLRF       _Bat_Sample_counter+0
	CLRF       _Bat_Sample_counter+1
;RV Monitor System.mbas,289 :: 		LCD_CMD (0X0C)          'Turn On Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,290 :: 		SetBit(PORTC, 7)        'Turn On Disply Two Backlight
	BSF        PORTC+0, 7
;RV Monitor System.mbas,291 :: 		goto  Update_Display_Two
	GOTO       L__main_update_display_two
L__main49:
;RV Monitor System.mbas,298 :: 		LCD_Sel = 0                    'Select Display #1
	BCF        PORTB+0, 6
;RV Monitor System.mbas,303 :: 		case 1                         'Mode One is Battery Voltage
	MOVF       _Disp_One_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main56
;RV Monitor System.mbas,304 :: 		Bat_Line1_Txt             'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,305 :: 		Battery_Voltage           'Get The Data & Display on Line 2
	CALL       _Battery_Voltage+0
;RV Monitor System.mbas,306 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main53
L__main56:
;RV Monitor System.mbas,309 :: 		case 2                         'Mode Two is Fresh water Level
	MOVF       _Disp_One_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main59
;RV Monitor System.mbas,310 :: 		Water_Line1_txt           'Display Line one for Fresh Water Level Temp
	CALL       _Water_Line1_txt+0
;RV Monitor System.mbas,311 :: 		Fresh_Water_Level         'Get Data and Display on line 2
	CALL       _Fresh_Water_Level+0
;RV Monitor System.mbas,312 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main53
L__main59:
;RV Monitor System.mbas,314 :: 		case 3                         'Mode Three is Outside Temp
	MOVF       _Disp_One_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main62
;RV Monitor System.mbas,315 :: 		OT_Line1_Txt              'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,316 :: 		Print_Outside_Temp        'Display on Line two
	CALL       _Print_Outside_Temp+0
;RV Monitor System.mbas,317 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main53
L__main62:
;RV Monitor System.mbas,319 :: 		case 4                         'Mode Four is Inside Temp
	MOVF       _Disp_One_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main65
;RV Monitor System.mbas,320 :: 		IN_Line1_Txt              'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,321 :: 		Print_Inside_Temp         'Display on line two
	CALL       _Print_Inside_temp+0
;RV Monitor System.mbas,322 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main53
L__main65:
;RV Monitor System.mbas,324 :: 		case 5                         'Is this the Cycle Mode?
	MOVF       _Disp_One_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main68
;RV Monitor System.mbas,325 :: 		goto Cycle_Display_One    'Yes do it
	GOTO       L__main_cycle_display_one
L__main68:
;RV Monitor System.mbas,327 :: 		case 6                         'Mode Six is OFF
	MOVF       _Disp_One_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main72
;RV Monitor System.mbas,328 :: 		Lcd_Cmd (0x08)            'Turn Off Display
	MOVLW      8
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,329 :: 		ClearBit(PORTC, 6)        'Turn Of Disply One Backlight
	BCF        PORTC+0, 6
	GOTO       L__main53
L__main72:
;RV Monitor System.mbas,331 :: 		case else
L__main53:
;RV Monitor System.mbas,336 :: 		Update_Display_Two:
L__main_update_display_two:
;RV Monitor System.mbas,338 :: 		Lcd_Sel = 1               'Select Display #2
	BSF        PORTB+0, 6
;RV Monitor System.mbas,343 :: 		case 1                         'Mode One is Battery Voltage
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main76
;RV Monitor System.mbas,344 :: 		Bat_Line1_Txt             'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,345 :: 		Battery_Voltage           'Get The Data & Display on Line 2
	CALL       _Battery_Voltage+0
;RV Monitor System.mbas,346 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main73
L__main76:
;RV Monitor System.mbas,348 :: 		case 2                         'Mode Two is Fresh water Level
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main79
;RV Monitor System.mbas,349 :: 		Water_Line1_txt           'Display Line one for Fresh Water Level Temp
	CALL       _Water_Line1_txt+0
;RV Monitor System.mbas,350 :: 		Fresh_Water_Level         'Get Data and Display on line 2
	CALL       _Fresh_Water_Level+0
;RV Monitor System.mbas,351 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main73
L__main79:
;RV Monitor System.mbas,353 :: 		case 3                         'Mode Three is Outside Temp
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main82
;RV Monitor System.mbas,354 :: 		OT_Line1_Txt              'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,355 :: 		Print_Outside_Temp        'Display on Line two
	CALL       _Print_Outside_Temp+0
;RV Monitor System.mbas,356 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main73
L__main82:
;RV Monitor System.mbas,358 :: 		case 4                         'Mode Four is Inside Temp
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main85
;RV Monitor System.mbas,359 :: 		IN_Line1_Txt              'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,360 :: 		Print_Inside_Temp         'Display on Line two
	CALL       _Print_Inside_temp+0
;RV Monitor System.mbas,361 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main73
L__main85:
;RV Monitor System.mbas,363 :: 		case 5                         'Is this the Cycle Mode?
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main88
;RV Monitor System.mbas,364 :: 		goto Cycle_Display_Two    'Yes do it
	GOTO       L__main_cycle_display_two
L__main88:
;RV Monitor System.mbas,366 :: 		case 6                         'Mode Six is OFF
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main92
;RV Monitor System.mbas,367 :: 		LCD_Cmd (0x08)            'Turn Off Display
	MOVLW      8
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,368 :: 		ClearBit(PORTC, 7)        'Turn Of Disply Two Backlight
	BCF        PORTC+0, 7
	GOTO       L__main73
L__main92:
;RV Monitor System.mbas,370 :: 		case else
L__main73:
;RV Monitor System.mbas,373 :: 		goto loop
	GOTO       L__main_loop
;RV Monitor System.mbas,374 :: 		Cycle_Display_One:
L__main_cycle_display_one:
;RV Monitor System.mbas,376 :: 		if Disp_One_Cycle_Timer = 0
	MOVLW      0
	XORWF      _Disp_One_Cycle_Timer+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main150
	MOVLW      0
	XORWF      _Disp_One_Cycle_Timer+0, 0
L__main150:
	BTFSS      STATUS+0, 2
	GOTO       L__main94
;RV Monitor System.mbas,378 :: 		Disp_One_Cycle_Mode = Disp_One_Cycle_Mode +1
	INCF       _Disp_One_Cycle_Mode+0, 1
;RV Monitor System.mbas,379 :: 		Disp_One_Cycle_Timer = Disp_One_Delay
	MOVLW      25
	MOVWF      _Disp_One_Cycle_Timer+0
	MOVLW      0
	MOVWF      _Disp_One_Cycle_Timer+1
;RV Monitor System.mbas,381 :: 		Disp_Two_Mode = 6             'If the other display isn't displaying
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main97
;RV Monitor System.mbas,383 :: 		Disp_One_Cycle_Timer = Disp_One_Cycle_Timer * 2
	RLF        _Disp_One_Cycle_Timer+0, 1
	RLF        _Disp_One_Cycle_Timer+1, 1
	BCF        _Disp_One_Cycle_Timer+0, 0
L__main97:
;RV Monitor System.mbas,386 :: 		Disp_One_Cycle_Mode = 5
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main100
;RV Monitor System.mbas,388 :: 		Disp_One_Cycle_Mode = 1
	MOVLW      1
	MOVWF      _Disp_One_Cycle_Mode+0
;RV Monitor System.mbas,389 :: 		Bat_Sample_counter = 0      'Display right away on transition into Mode 1
	CLRF       _Bat_Sample_counter+0
	CLRF       _Bat_Sample_counter+1
L__main100:
;RV Monitor System.mbas,390 :: 		end if
	GOTO       L__main95
;RV Monitor System.mbas,391 :: 		else
L__main94:
;RV Monitor System.mbas,392 :: 		Disp_One_Cycle_Timer = Disp_One_Cycle_Timer -1
	MOVLW      1
	SUBWF      _Disp_One_Cycle_Timer+0, 1
	BTFSS      STATUS+0, 0
	DECF       _Disp_One_Cycle_Timer+1, 1
;RV Monitor System.mbas,394 :: 		end if
L__main95:
;RV Monitor System.mbas,396 :: 		LCD_Sel = 0                  'Select Display #1
	BCF        PORTB+0, 6
;RV Monitor System.mbas,401 :: 		case 1                          'Mode One is Battery Voltage
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main105
;RV Monitor System.mbas,402 :: 		Bat_Line1_Txt                'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,403 :: 		Battery_Voltage              'Get The Data & Display on Line 2
	CALL       _Battery_Voltage+0
;RV Monitor System.mbas,404 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main102
L__main105:
;RV Monitor System.mbas,406 :: 		case 2                          'Mode Two is Fresh water Level
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main108
;RV Monitor System.mbas,407 :: 		Water_Line1_txt              'Display Line one for Fresh Water Level
	CALL       _Water_Line1_txt+0
;RV Monitor System.mbas,408 :: 		Fresh_Water_Level            'Get Data and Display on line 2
	CALL       _Fresh_Water_Level+0
;RV Monitor System.mbas,409 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main102
L__main108:
;RV Monitor System.mbas,411 :: 		case 3                          'Mode Three is Outside Temp
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main111
;RV Monitor System.mbas,412 :: 		OT_Line1_Txt                 'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,413 :: 		Print_Outside_Temp           'Display on Line two
	CALL       _Print_Outside_Temp+0
;RV Monitor System.mbas,414 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main102
L__main111:
;RV Monitor System.mbas,416 :: 		case 4                          'Mode Four is Inside Temp
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main114
;RV Monitor System.mbas,417 :: 		IN_Line1_Txt                 'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,418 :: 		Print_Inside_Temp            'Display on Line two
	CALL       _Print_Inside_temp+0
;RV Monitor System.mbas,419 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main102
L__main114:
;RV Monitor System.mbas,420 :: 		case else
L__main102:
;RV Monitor System.mbas,423 :: 		goto Update_Display_Two
	GOTO       L__main_update_display_two
;RV Monitor System.mbas,425 :: 		Cycle_Display_Two:
L__main_cycle_display_two:
;RV Monitor System.mbas,427 :: 		if Disp_Two_Cycle_Timer = 0
	MOVLW      0
	XORWF      _Disp_Two_Cycle_Timer+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main151
	MOVLW      0
	XORWF      _Disp_Two_Cycle_Timer+0, 0
L__main151:
	BTFSS      STATUS+0, 2
	GOTO       L__main116
;RV Monitor System.mbas,428 :: 		then Disp_Two_Cycle_Mode = Disp_Two_Cycle_Mode +1
	INCF       _Disp_Two_Cycle_Mode+0, 1
;RV Monitor System.mbas,429 :: 		Disp_Two_Cycle_Timer = Disp_Two_Delay
	MOVLW      25
	MOVWF      _Disp_Two_Cycle_Timer+0
	MOVLW      0
	MOVWF      _Disp_Two_Cycle_Timer+1
;RV Monitor System.mbas,431 :: 		Disp_One_Mode = 6              'If the other display isn't displaying
	MOVF       _Disp_One_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main119
;RV Monitor System.mbas,433 :: 		Disp_Two_Cycle_Timer = Disp_Two_Cycle_Timer *2
	RLF        _Disp_Two_Cycle_Timer+0, 1
	RLF        _Disp_Two_Cycle_Timer+1, 1
	BCF        _Disp_Two_Cycle_Timer+0, 0
L__main119:
;RV Monitor System.mbas,436 :: 		Disp_Two_Cycle_Mode = 5
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main122
;RV Monitor System.mbas,438 :: 		Disp_Two_Cycle_Mode = 1
	MOVLW      1
	MOVWF      _Disp_Two_Cycle_Mode+0
;RV Monitor System.mbas,439 :: 		Bat_Sample_counter = 0  'Display right away on transition into Mode 1
	CLRF       _Bat_Sample_counter+0
	CLRF       _Bat_Sample_counter+1
L__main122:
;RV Monitor System.mbas,440 :: 		end if
	GOTO       L__main117
;RV Monitor System.mbas,441 :: 		else
L__main116:
;RV Monitor System.mbas,442 :: 		Disp_Two_Cycle_Timer = Disp_Two_Cycle_Timer -1
	MOVLW      1
	SUBWF      _Disp_Two_Cycle_Timer+0, 1
	BTFSS      STATUS+0, 0
	DECF       _Disp_Two_Cycle_Timer+1, 1
;RV Monitor System.mbas,443 :: 		end if
L__main117:
;RV Monitor System.mbas,445 :: 		LCD_Sel = 1                  'Select Display #2
	BSF        PORTB+0, 6
;RV Monitor System.mbas,450 :: 		case 1                        'Mode One is Battery Voltage
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main127
;RV Monitor System.mbas,451 :: 		Bat_Line1_Txt                 'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,452 :: 		Battery_Voltage               'Get The Data & Display on Line 2
	CALL       _Battery_Voltage+0
;RV Monitor System.mbas,453 :: 		Set_Cyc_Ind                   'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main124
L__main127:
;RV Monitor System.mbas,455 :: 		case 2                        'Mode Two is Fresh water Level
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main130
;RV Monitor System.mbas,456 :: 		Water_Line1_txt               'Display Line one for Fresh Water Level
	CALL       _Water_Line1_txt+0
;RV Monitor System.mbas,457 :: 		Fresh_Water_Level             'Get Data and Display on line 2
	CALL       _Fresh_Water_Level+0
;RV Monitor System.mbas,458 :: 		Set_Cyc_Ind                   'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main124
L__main130:
;RV Monitor System.mbas,460 :: 		case 3                        'Mode three is Outside Temp
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main133
;RV Monitor System.mbas,461 :: 		OT_Line1_Txt                  'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,462 :: 		Print_Outside_Temp            'Display on Line two
	CALL       _Print_Outside_Temp+0
;RV Monitor System.mbas,463 :: 		Set_Cyc_Ind                   'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main124
L__main133:
;RV Monitor System.mbas,465 :: 		case 4                        'Mode Four is Inside Temp
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main136
;RV Monitor System.mbas,466 :: 		IN_Line1_Txt                  'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,467 :: 		Print_Inside_Temp             'Display on Line two
	CALL       _Print_Inside_temp+0
;RV Monitor System.mbas,468 :: 		Set_Cyc_Ind                   'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main124
L__main136:
;RV Monitor System.mbas,470 :: 		case else
L__main124:
;RV Monitor System.mbas,473 :: 		goto loop
	GOTO       L__main_loop
L_end_main:
	GOTO       $+0
; end of _main
