
_InitTimer0:

;Read_Temp.mbas,76 :: 		sub procedure InitTimer0()           'Initialize for Timer Zero Clock Source, Edge, Prescaler
;Read_Temp.mbas,77 :: 		Option_Reg = 0x87
	MOVLW      135
	MOVWF      OPTION_REG+0
;Read_Temp.mbas,78 :: 		Tmr0 = 5                           'This timer 0 for 4 MS is the longest time with this 16MH Crystal
	MOVLW      5
	MOVWF      TMR0+0
;Read_Temp.mbas,79 :: 		Intcon = 0xA0                      'Interrupt Control Enable, Timer Zero Overflow Enable
	MOVLW      160
	MOVWF      INTCON+0
;Read_Temp.mbas,80 :: 		end sub
L_end_InitTimer0:
	RETURN
; end of _InitTimer0

_Read_Temp:

;Read_Temp.mbas,83 :: 		Sub Procedure Read_Temp  (dim byref port as byte, dim pin as byte, dim byref Tris as byte)
;Read_Temp.mbas,86 :: 		Intcon = 0x00                   'Disable Interrupts
	CLRF       INTCON+0
;Read_Temp.mbas,87 :: 		Option_Reg =0x81                '4 X prescaler for 1 us ticks
	MOVLW      129
	MOVWF      OPTION_REG+0
;Read_Temp.mbas,89 :: 		Err_Flag = 0                    'Clear the Error Flag
	CLRF       Read_Temp_Err_Flag+0
;Read_Temp.mbas,94 :: 		Clearbit (Port, Pin)             'Drop the Data Bit to initialize Request
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp123:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp124
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp123
L__Read_Temp124:
	COMF       R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	ANDWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,95 :: 		Delay_ms (20)                    'Low for a min 18 ms
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L__Read_Temp2:
	DECFSZ     R13+0, 1
	GOTO       L__Read_Temp2
	DECFSZ     R12+0, 1
	GOTO       L__Read_Temp2
	NOP
;Read_Temp.mbas,96 :: 		SetBit (Port, Pin)               'Now a high completes the request
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp125:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp126
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp125
L__Read_Temp126:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,97 :: 		SetBit (Tris, Pin)               'Turn the I/O bit to an Input
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp127:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp128
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp127
L__Read_Temp128:
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,99 :: 		Tmr0 =  0                        'For testing short counts
	CLRF       TMR0+0
;Read_Temp.mbas,100 :: 		While  TestBit (Port,Pin) = 1    'First step of the response to our request up to 40us high
L__Read_Temp4:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp129:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp130
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp129
L__Read_Temp130:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp8
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp8:
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp5
;Read_Temp.mbas,101 :: 		if Tmr0 > 128                'Wait for the AM2302 to pull the line low 20 to 40 us
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp10
;Read_Temp.mbas,103 :: 		if PIN = 5            'RA5 is the Outside sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp13
;Read_Temp.mbas,105 :: 		Temp_Deg_F_O = "E-1"   'I left these in for debug the Error will display
	MOVLW      69
	MOVWF      _Temp_Deg_F_O+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+1
	MOVLW      49
	MOVWF      _Temp_Deg_F_O+2
	CLRF       _Temp_Deg_F_O+3
	GOTO       L__Read_Temp14
;Read_Temp.mbas,106 :: 		Else                       'in the Inside or outside Temp field on the LCD
L__Read_Temp13:
;Read_Temp.mbas,107 :: 		Temp_Deg_F_I = "E-1"   'In my final product I'll leave the last sample in the buffer
	MOVLW      69
	MOVWF      _Temp_Deg_F_I+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+1
	MOVLW      49
	MOVWF      _Temp_Deg_F_I+2
	CLRF       _Temp_Deg_F_I+3
;Read_Temp.mbas,108 :: 		end if
L__Read_Temp14:
;Read_Temp.mbas,109 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,110 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp10:
;Read_Temp.mbas,112 :: 		Wend
	GOTO       L__Read_Temp4
L__Read_Temp5:
;Read_Temp.mbas,114 :: 		Tmr0 = 0                        'For testing short counts
	CLRF       TMR0+0
;Read_Temp.mbas,115 :: 		While  TestBit (Port, Pin) = 0  'The AM2302 keeps the line low for 80us
L__Read_Temp17:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp131:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp132
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp131
L__Read_Temp132:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp21
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp21:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp18
;Read_Temp.mbas,116 :: 		if Tmr0 > 128               '128 us is too long for this function
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp23
;Read_Temp.mbas,118 :: 		if PIN = 5           'Place the error message
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp26
;Read_Temp.mbas,120 :: 		Temp_Deg_F_O = "E-2"    '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_O+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+1
	MOVLW      50
	MOVWF      _Temp_Deg_F_O+2
	CLRF       _Temp_Deg_F_O+3
	GOTO       L__Read_Temp27
;Read_Temp.mbas,121 :: 		Else
L__Read_Temp26:
;Read_Temp.mbas,122 :: 		Temp_Deg_F_I = "E-2"    '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_I+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+1
	MOVLW      50
	MOVWF      _Temp_Deg_F_I+2
	CLRF       _Temp_Deg_F_I+3
;Read_Temp.mbas,123 :: 		end if
L__Read_Temp27:
;Read_Temp.mbas,124 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,125 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp23:
;Read_Temp.mbas,127 :: 		Wend                           'When it goes back High it's the start of the data bit
	GOTO       L__Read_Temp17
L__Read_Temp18:
;Read_Temp.mbas,129 :: 		Tmr0 = 0                       'For testing short counts
	CLRF       TMR0+0
;Read_Temp.mbas,130 :: 		While TestBit (Port, Pin) = 1  'Wait for the start Bit
L__Read_Temp29:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp133:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp134
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp133
L__Read_Temp134:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp33
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp33:
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp30
;Read_Temp.mbas,132 :: 		if Tmr0 > 128               'Error timout
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp35
;Read_Temp.mbas,134 :: 		if PIN = 5
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp38
;Read_Temp.mbas,136 :: 		Temp_Deg_F_O = "E-3"   '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_O+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+1
	MOVLW      51
	MOVWF      _Temp_Deg_F_O+2
	CLRF       _Temp_Deg_F_O+3
	GOTO       L__Read_Temp39
;Read_Temp.mbas,137 :: 		Else
L__Read_Temp38:
;Read_Temp.mbas,138 :: 		Temp_Deg_F_I = "E-3"   '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_I+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+1
	MOVLW      51
	MOVWF      _Temp_Deg_F_I+2
	CLRF       _Temp_Deg_F_I+3
;Read_Temp.mbas,139 :: 		end if
L__Read_Temp39:
;Read_Temp.mbas,140 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,141 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp35:
;Read_Temp.mbas,143 :: 		Wend
	GOTO       L__Read_Temp29
L__Read_Temp30:
;Read_Temp.mbas,147 :: 		For jj = 1 to 5          'Five bytes of data: RH High, RH Low, Temp High, Temp Low, Checksum in that order
	MOVLW      1
	MOVWF      Read_Temp_jj+0
L__Read_Temp41:
;Read_Temp.mbas,148 :: 		Chksum = 0                'Repurpose this byte for all data input bytes
	CLRF       Read_Temp_Chksum+0
;Read_Temp.mbas,149 :: 		For ii = 7 to 0 step -1           'Eight bits
	MOVLW      7
	MOVWF      Read_Temp_ii+0
L__Read_Temp46:
;Read_Temp.mbas,150 :: 		Tmr0 = 0                      'Period_reached for testing short count
	CLRF       TMR0+0
;Read_Temp.mbas,151 :: 		While TestBit (Port, Pin) = 0 'This is waiting for the start of a bit
L__Read_Temp51:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp135:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp136
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp135
L__Read_Temp136:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp55
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp55:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp52
;Read_Temp.mbas,152 :: 		if  Tmr0 > 128          'Error Timeout
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp57
;Read_Temp.mbas,154 :: 		if PIN = 5
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp60
;Read_Temp.mbas,156 :: 		Temp_Deg_F_O = "E-4"  '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_O+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+1
	MOVLW      52
	MOVWF      _Temp_Deg_F_O+2
	CLRF       _Temp_Deg_F_O+3
	GOTO       L__Read_Temp61
;Read_Temp.mbas,157 :: 		Else
L__Read_Temp60:
;Read_Temp.mbas,158 :: 		Temp_Deg_F_I = "E-4"  '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_I+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+1
	MOVLW      52
	MOVWF      _Temp_Deg_F_I+2
	CLRF       _Temp_Deg_F_I+3
;Read_Temp.mbas,159 :: 		end if
L__Read_Temp61:
;Read_Temp.mbas,160 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,161 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp57:
;Read_Temp.mbas,163 :: 		Wend
	GOTO       L__Read_Temp51
L__Read_Temp52:
;Read_Temp.mbas,165 :: 		Tmr0 = 0                       'Count the length of the data bit
	CLRF       TMR0+0
;Read_Temp.mbas,167 :: 		While TestBit (Port, Pin) = 1  'This is the Data bit
L__Read_Temp63:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp137:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp138
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp137
L__Read_Temp138:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp67
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp67:
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp64
;Read_Temp.mbas,168 :: 		if  Tmr0 > 128           'Error Timeout
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp69
;Read_Temp.mbas,170 :: 		if PIN = 5
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp72
;Read_Temp.mbas,172 :: 		Temp_Deg_F_O = "E-5"   '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_O+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+1
	MOVLW      53
	MOVWF      _Temp_Deg_F_O+2
	CLRF       _Temp_Deg_F_O+3
	GOTO       L__Read_Temp73
;Read_Temp.mbas,173 :: 		Else
L__Read_Temp72:
;Read_Temp.mbas,174 :: 		Temp_Deg_F_I = "E-5"   '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_I+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+1
	MOVLW      53
	MOVWF      _Temp_Deg_F_I+2
	CLRF       _Temp_Deg_F_I+3
;Read_Temp.mbas,175 :: 		end if
L__Read_Temp73:
;Read_Temp.mbas,176 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,177 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp69:
;Read_Temp.mbas,179 :: 		Wend
	GOTO       L__Read_Temp63
L__Read_Temp64:
;Read_Temp.mbas,181 :: 		if Tmr0 > 40            'Around 28 to 30 micro sec is a zero
	MOVF       TMR0+0, 0
	SUBLW      40
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp75
;Read_Temp.mbas,183 :: 		setbit (Chksum, ii)  'Set the bit in the capture byte
	MOVF       Read_Temp_ii+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp139:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp140
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp139
L__Read_Temp140:
	MOVF       R0+0, 0
	IORWF      Read_Temp_Chksum+0, 1
L__Read_Temp75:
;Read_Temp.mbas,186 :: 		next ii
	MOVF       Read_Temp_ii+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp49
	MOVLW      255
	ADDWF      Read_Temp_ii+0, 1
	GOTO       L__Read_Temp46
L__Read_Temp49:
;Read_Temp.mbas,189 :: 		Case 1
	MOVF       Read_Temp_jj+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp80
;Read_Temp.mbas,190 :: 		Received_Data_RH_H = Chksum    'First byte is RH High
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_RH_H+0
	GOTO       L__Read_Temp77
L__Read_Temp80:
;Read_Temp.mbas,191 :: 		Case 2
	MOVF       Read_Temp_jj+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp83
;Read_Temp.mbas,192 :: 		Received_Data_RH_L = Chksum    'Second byte is RH Low
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_RH_L+0
	GOTO       L__Read_Temp77
L__Read_Temp83:
;Read_Temp.mbas,193 :: 		Case 3
	MOVF       Read_Temp_jj+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp86
;Read_Temp.mbas,194 :: 		Received_Data_Temp_H = Chksum  'Third byte is Temp High
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_Temp_H+0
	GOTO       L__Read_Temp77
L__Read_Temp86:
;Read_Temp.mbas,195 :: 		Case 4
	MOVF       Read_Temp_jj+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp89
;Read_Temp.mbas,196 :: 		Received_Data_Temp_L = Chksum  'Forth byte is Temp Low
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_Temp_L+0
	GOTO       L__Read_Temp77
L__Read_Temp89:
L__Read_Temp77:
;Read_Temp.mbas,199 :: 		Next jj                          'The outer loop is the byte counter
	MOVF       Read_Temp_jj+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp44
	INCF       Read_Temp_jj+0, 1
	GOTO       L__Read_Temp41
L__Read_Temp44:
;Read_Temp.mbas,203 :: 		clearbit (Tris, Pin)             'Turn the I/O bit to an Output
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp141:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp142
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp141
L__Read_Temp142:
	COMF       R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	ANDWF      R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,204 :: 		SetBit (port, Pin)               'Leave it in the High State for the next read
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp143:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp144
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp143
L__Read_Temp144:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,209 :: 		if ((( Received_Data_RH_H + Received_Data_RH_L) and 0xff) +
	MOVF       Read_Temp_Received_Data_RH_L+0, 0
	ADDWF      Read_Temp_Received_Data_RH_H+0, 0
	MOVWF      R0+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      R1+0
;Read_Temp.mbas,210 :: 		(( Received_Data_Temp_H + Received_Data_Temp_L )and 0xff))and 0xff <> Chksum
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+0
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R1+0, 0
	ADDWF      R0+0, 1
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORWF      Read_Temp_Chksum+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp91
;Read_Temp.mbas,212 :: 		if PIN = 5
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp94
;Read_Temp.mbas,214 :: 		Temp_Deg_F_O = "E-6"    '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_O+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+1
	MOVLW      54
	MOVWF      _Temp_Deg_F_O+2
	CLRF       _Temp_Deg_F_O+3
	GOTO       L__Read_Temp95
;Read_Temp.mbas,215 :: 		Else
L__Read_Temp94:
;Read_Temp.mbas,216 :: 		Temp_Deg_F_I = "E-6"    '*****
	MOVLW      69
	MOVWF      _Temp_Deg_F_I+0
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+1
	MOVLW      54
	MOVWF      _Temp_Deg_F_I+2
	CLRF       _Temp_Deg_F_I+3
;Read_Temp.mbas,217 :: 		end if
L__Read_Temp95:
;Read_Temp.mbas,218 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,219 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp91:
;Read_Temp.mbas,226 :: 		if Testbit (Received_Data_Temp_H, (7))        'is this - C  the AM2302 sets the high bit for negatave temp
	CLRF       R0+0
	BTFSS      Read_Temp_Received_Data_Temp_H+0, 7
	GOTO       L__Read_Temp99
	MOVLW      1
	MOVWF      R0+0
L__Read_Temp99:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp97
;Read_Temp.mbas,228 :: 		Clearbit (Received_Data_Temp_H, 7)     'if so clear the flag so it doesn't screw up the math
	BCF        Read_Temp_Received_Data_Temp_H+0, 7
;Read_Temp.mbas,230 :: 		if (Received_Data_Temp_H *256 + Received_Data_Temp_L) >170   'Is "C" over -17 deg
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVF       R2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp145
	MOVF       R2+0, 0
	SUBLW      170
L__Read_Temp145:
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp101
;Read_Temp.mbas,232 :: 		if PIN = 5                      'Which sensor is it? 5 = Outside Sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp104
;Read_Temp.mbas,236 :: 		bytetostr ((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,237 :: 		/10) *9) /5)) and 0xff)-32 , Temp_Deg_F_O)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      32
	SUBWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,238 :: 		Temp_Deg_F_O [0] ="-"    'Place a minus sign in the display buffer
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+0
	GOTO       L__Read_Temp105
;Read_Temp.mbas,240 :: 		Else                         'Else it must be the inner sensor
L__Read_Temp104:
;Read_Temp.mbas,241 :: 		bytetostr ((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,242 :: 		/10) *9) /5)) and 0xff) -32 , Temp_Deg_F_I)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      32
	SUBWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,243 :: 		Temp_Deg_F_I [0] ="-"
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+0
;Read_Temp.mbas,244 :: 		end if
L__Read_Temp105:
L__Read_Temp101:
;Read_Temp.mbas,250 :: 		if (Received_Data_Temp_H *256 + Received_Data_Temp_L) < 180
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVLW      0
	SUBWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp146
	MOVLW      180
	SUBWF      R2+0, 0
L__Read_Temp146:
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp107
;Read_Temp.mbas,252 :: 		if PIN = 5                       'Identify the correct Sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp110
;Read_Temp.mbas,254 :: 		bytetostr (32 -((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,255 :: 		/10) *9) /5)) and 0xff)) , Temp_Deg_F_O)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	SUBLW      32
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
	GOTO       L__Read_Temp111
;Read_Temp.mbas,256 :: 		else
L__Read_Temp110:
;Read_Temp.mbas,257 :: 		bytetostr (32 -((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,258 :: 		/10) *9) /5)) and 0xff)) , Temp_Deg_F_I)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	SUBLW      32
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,259 :: 		end if
L__Read_Temp111:
L__Read_Temp107:
;Read_Temp.mbas,260 :: 		end if
	GOTO       L__Read_Temp98
;Read_Temp.mbas,261 :: 		else
L__Read_Temp97:
;Read_Temp.mbas,265 :: 		if Pin = 5                             'Again identify the sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp113
;Read_Temp.mbas,267 :: 		bytetostr (((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L)) /10) *9) /5)+32)
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      32
	ADDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
;Read_Temp.mbas,268 :: 		and 0xff , Temp_Deg_F_O)
	MOVLW      255
	ANDWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
	GOTO       L__Read_Temp114
;Read_Temp.mbas,269 :: 		else
L__Read_Temp113:
;Read_Temp.mbas,270 :: 		bytetostr (((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L)) /10) *9) /5)+32)
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      32
	ADDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
;Read_Temp.mbas,271 :: 		and 0xff , Temp_Deg_F_I)
	MOVLW      255
	ANDWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,272 :: 		end if
L__Read_Temp114:
;Read_Temp.mbas,273 :: 		end if
L__Read_Temp98:
;Read_Temp.mbas,278 :: 		if Pin = 5                                     'Identify the sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp116
;Read_Temp.mbas,280 :: 		bytetostr ((( Received_Data_RH_H * 256) + (Received_Data_RH_L)) / 10, RH_Percent_O )
	MOVF       Read_Temp_Received_Data_RH_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_RH_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _RH_Percent_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
	GOTO       L__Read_Temp117
;Read_Temp.mbas,281 :: 		else
L__Read_Temp116:
;Read_Temp.mbas,282 :: 		bytetostr ((( Received_Data_RH_H * 256) + (Received_Data_RH_L)) / 10, RH_Percent_I )
	MOVF       Read_Temp_Received_Data_RH_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_RH_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _RH_Percent_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,283 :: 		end if
L__Read_Temp117:
;Read_Temp.mbas,288 :: 		Err_Exit:
L__Read_Temp_err_exit:
;Read_Temp.mbas,289 :: 		if Err_Flag =1                            'More test stuff, this counts errors
	MOVF       Read_Temp_Err_Flag+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp119
;Read_Temp.mbas,291 :: 		Portc = portc +1                   'For overnight tests Not in the final product
	INCF       PORTC+0, 1
L__Read_Temp119:
;Read_Temp.mbas,293 :: 		clearbit (Tris, Pin)                      'Turn the I/O bit to an Output
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp147:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp148
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp147
L__Read_Temp148:
	COMF       R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	ANDWF      R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,294 :: 		SetBit (port, Pin)                        'Leave it in the High State for the next read
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp149:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp150
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp149
L__Read_Temp150:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,295 :: 		InitTimer0                                'Start up the two sec timer
	CALL       _InitTimer0+0
;Read_Temp.mbas,296 :: 		Period_Reached = 0                        'Restart Timer for next 2.5 Sec sampling
	CLRF       _Period_Reached+0
	CLRF       _Period_Reached+1
;Read_Temp.mbas,298 :: 		end sub
L_end_Read_Temp:
	RETURN
; end of _Read_Temp
